## Migration from `6.x` to `7.x`

### Glyphs

Glyphs are no longer supported in the latest versions of the Carbon Design System. Below is a table detailing how to update from a glyph to a corresponding icon in the new set.

| Glyph Name       | State                          |
| ---------------- | ------------------------------ |
| add--glyph       | replaced by `add--solid`       |
| asleep--glyph    | replaced by `asleep`           |
| checkmark--glyph | replaced by `checkmark--solid` |
| close--glyph     | replaced by `close--solid`     |
| copy--glyph      | Deprecated ☠️                  |
| delete--glyph    | Deprecated ☠️                  |
| download--glyph  | Deprecated ☠️                  |
| edit--glyph      | Deprecated ☠️                  |
| error--glyph     | replaced by `error--solid`     |
| filter--glyph    | Deprecated ☠️                  |
| folder--glyph    | replaced by `folder`           |
| grid--glyph      | replaced by `grid`             |
| help--glyph      | replaced by `help--solid`      |
| info--glyph      | replaced by `info--solid`      |
| launch--glyph    | Deprecated ☠️                  |
| light--glyph     | replaced by `awake`            |
| pause--glyph     | replaced by `pause--solid`     |
| play--glyph      | replaced by `play--solid`      |
| power--glyph     | Deprecated ☠️                  |
| restart--glyph   | Deprecated ☠️                  |
| search--glyph    | Deprecated ☠️                  |
| settings--glyph  | Deprecated ☠️                  |
| stop--glyph      | replaced by `stop--solid`      |
| subtract--glyph  | replaced by `subtract--solid`  |
| warning--glyph   | replaced by `warning--solid`   |

### Icons

| Icon Name            | Status                                         |
| -------------------- | ---------------------------------------------- |
| `add--outline`       | No change                                      |
| `add--solid`         | New ✨                                         |
| `add`                | No change                                      |
| `arrow--down`        | No change                                      |
| `arrow--left`        | No change                                      |
| `arrow--right`       | No change                                      |
| `arrow--up`          | No change                                      |
| `arrows`             | No change                                      |
| `attachment`         | New ✨                                         |
| `asleep`             | New ✨                                         |
| `awake`              | New ✨                                         |
| `back-to-top`        | New ✨                                         |
| `calendar`           | No change                                      |
| `caret--down`        | No change                                      |
| `caret--left`        | No change                                      |
| `caret--right`       | No change                                      |
| `caret--up`          | No change                                      |
| `chat`               | New ✨                                         |
| `checkmark--outline` | No change                                      |
| `checkmark--solid`   | New ✨                                         |
| `checkmark`          | No change                                      |
| `chevron--down`      | No change                                      |
| `chevron--left`      | No change                                      |
| `chevron--right`     | No change                                      |
| `chevron--up`        | No change                                      |
| `close--outline`     | No change                                      |
| `close--solid`       | New ✨                                         |
| `close`              | No change                                      |
| `code`               | New ✨                                         |
| `copy`               | No change                                      |
| `delete`             | No change                                      |
| `document`           | New ✨                                         |
| `download`           | No change                                      |
| `draggable`          | New ✨                                         |
| `edit`               | No change                                      |
| `email`              | New ✨                                         |
| `error--outline`     | New ✨ (replacing what was previously error)   |
| `error--solid`       | New ✨                                         |
| `favorite--outline`  | New ✨ (replacing a star variation)            |
| `favorite--solid`    | New ✨                                         |
| `filter`             | No change                                      |
| `folder-add`         | New ✨                                         |
| `folder`             | New ✨                                         |
| `forum`              | New ✨                                         |
| `grid`               | New ✨                                         |
| `help--outline`      | New ✨ (replacing what was previously help)    |
| `help--solid`        | New ✨                                         |
| `info--outline`      | New ✨ (replacing what was previously info)    |
| `info--solid`        | New ✨                                         |
| `launch`             | No change                                      |
| `link`               | No change                                      |
| `list`               | No change                                      |
| `locked`             | No change                                      |
| `minimize`           | New ✨                                         |
| `maximize`           | New ✨                                         |
| `new-tab`            | New ✨                                         |
| `notifications-off`  | New ✨                                         |
| `notifications-on`   | New ✨                                         |
| `overflow-menu`      | No change                                      |
| `pause--outline`     | New ✨ (replacing what was previously pause)   |
| `pause--solid`       | New ✨                                         |
| `play--outline`      | New ✨ (replacing what was previously play)    |
| `play--solid`        | New ✨                                         |
| `power`              | No change                                      |
| `purchase`           | No change                                      |
| `restart`            | No change                                      |
| `save`               | New ✨                                         |
| `search`             | No change                                      |
| `settings`           | No change                                      |
| `star--outline`      | New ✨                                         |
| `star--solid`        | New ✨                                         |
| `stop--outline`      | New ✨ (replacing what was previously stop)    |
| `stop--solid`        | New ✨                                         |
| `subtract--solid`    | New ✨                                         |
| `subtract--outline`  | New ✨                                         |
| `terminal`           | New ✨                                         |
| `unlock`             | No change                                      |
| `upload`             | No change                                      |
| `user`               | No change                                      |
| `visbility-off`      | New ✨                                         |
| `visbility-on`       | New ✨                                         |
| `warning--outline`   | New ✨ (replacing what was previously warning) |
| `warning--solid`     | No change                                      |
